Bug 1661010 (CVE-2018-12123) - CVE-2018-12123 nodejs: Hostname spoofing in URL parser for javascript protocol
Summary: CVE-2018-12123 nodejs: Hostname spoofing in URL parser for javascript protocol
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12123
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1661012 1661011 1669443 1669444 1669445 1720090 1720091 1720092 1720093
Blocks: 1661014
TreeView+ depends on / blocked
 
Reported: 2018-12-19 19:54 UTC by Laura Pardo
Modified: 2020-02-17 13:02 UTC (History)
3 users (show)

Fixed In Version: nodejs 6.15.0, nodejs 8.14.0, nodejs 10.14.0, nodejs 11.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-22 15:07:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1844 None None None 2019-07-24 14:56:06 UTC
Red Hat Product Errata RHBA-2019:1869 None None None 2019-07-26 18:08:50 UTC
Red Hat Product Errata RHSA-2019:1821 None None None 2019-07-22 13:37:56 UTC

Description Laura Pardo 2018-12-19 19:54:34 UTC
A flaw was found in Node.js versions before 6.15.0, 8.14.0, 10.14.0 and 11.3.0. A hostname spoofing in URL parser for javascript protocol. If a Node.js application is using url.parse() to determine the URL hostname, that hostname can be spoofed by using a mixed case "javascript:" (e.g. "javAscript:") protocol (other protocols are not affected). If security decisions are made about the URL based on the hostname, they may be incorrect. 


References:
https://nodejs.org/en/blog/vulnerability/november-2018-security-releases/

Comment 1 Laura Pardo 2018-12-19 19:55:16 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1661012]
Affects: fedora-all [bug 1661011]

Comment 4 Cedric Buissart 🐶 2019-02-04 13:29:26 UTC
Upstream fix:

https://github.com/nodejs/node/commit/9c268d049219462de0792284c504f137751cf198

Comment 6 Sam Fowler 2019-06-13 07:06:29 UTC
Statement:

The nodejs RPMs shipped in Red Hat OpenShift Container Platform (OCP) versions 3.6 through 3.10 are vulnerable to this flaw because they contain the affected code. Later versions of OCP used nodejs RPMs delivered from Red Hat Software Collections and Red Hat Enterprise Linux channels.

Comment 8 errata-xmlrpc 2019-07-22 13:37:55 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1821 https://access.redhat.com/errata/RHSA-2019:1821

Comment 9 Product Security DevOps Team 2019-07-22 15:07:03 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-12123

Comment 10 Joshua Padman 2019-07-31 04:41:44 UTC
The current nodejs releaase in RHOAR 10 rhoar-nodejs10-10.16.0-1.el7 has been rebased and includes these fixes. Hence not affected

Comment 11 Cedric Buissart 🐶 2020-02-17 13:02:22 UTC
In rh-nodejs10-nodejs, this was fixed via the rebase from RHSA-2019:2939 : https://access.redhat.com/errata/RHSA-2019:2939


Note You need to log in before you can comment on or make changes to this bug.